aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdev/libs/cyrus-sasl/cyrus-sasl.SlackBuild44
-rw-r--r--mail/mta/postfix/slack-required2
-rwxr-xr-xnet/nds/openldap/openldap-client.SlackBuild38
-rwxr-xr-xnet/nds/openldap/openldap.SlackBuild38
4 files changed, 78 insertions, 44 deletions
diff --git a/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild b/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
index 9953f61f..56eef388 100755
--- a/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
+++ b/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
@@ -11,6 +11,18 @@
# small changes by rhatto
#
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cyrus-sasl are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
CWD="`pwd`"
if [ -f ~/.slackbuildrc ]; then
@@ -20,13 +32,19 @@ elif [ -f /etc/slackbuildrc ]; then
fi
PACKAGE="cyrus-sasl"
-VERSION=${VERSION:=2.1.21}
+VERSION=${VERSION:=2.1.22}
ARCH=${ARCH:=i486}
BUILD=${BUILD:=1rha}
TMP=${TMP:=/tmp}
SRC_DIR=${SRC:=$CWD}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -44,25 +62,19 @@ if [ ! -d $TMP ]; then
mkdir -p $TMP # location to build the source
fi
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/$PACKAGE"
mkdir -p $SRC_DIR
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
fi
if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
- wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc || exit $ERROR_WGET
fi
-gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || echo WARNING: Could not check signature or WRONG signature found.
+gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
sleep 3
if [ "$ARCH" = "i386" ]; then
@@ -87,7 +99,7 @@ echo "| cyrus-sasl-$VERSION |"
echo "+=====================+"
cd $TMP
rm -rf cyrus-sasl-$VERSION
-tar xvf$tarflag $SRC_DIR/cyrus-sasl-$VERSION.tar.gz
+tar xvf $SRC_DIR/cyrus-sasl-$VERSION.tar.gz || exit $ERROR_TAR
cd cyrus-sasl-$VERSION
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
@@ -102,9 +114,9 @@ CXXFLAGS="$SLKCFLAGS" \
#./configure --enable-login --enable-plain --enable-anon --enable-digest --with-static-sasl --with-bdb-libdir=/usr/lib \
# --with-bdb-incdir=/usr/include/db4 --prefix=/usr --sysconfdir=/etc --localstatedir=/var/lib --enable-ldap \
# --with-ldap=/usr/libexec/openldap --with-authdaemond=/usr/sbin/authdaemond
-./configure --prefix=/usr --sysconfdir=/etc --with-authdaemond=/usr/sbin/authdaemond --libdir=$LIBDIR
-make || exit 32
-make install DESTDIR=$PKG
+./configure --prefix=/usr --sysconfdir=/etc --with-authdaemond=/usr/sbin/authdaemond --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install DESTDIR=$PKG || exit $ERROR_INSTALL
strip $PKG/usr/sbin/*
chown -R root.bin $PKG/usr/bin
chown -R root.bin $PKG/usr/sbin
@@ -135,7 +147,7 @@ cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP
diff --git a/mail/mta/postfix/slack-required b/mail/mta/postfix/slack-required
index ca6df379..40c7570a 100644
--- a/mail/mta/postfix/slack-required
+++ b/mail/mta/postfix/slack-required
@@ -5,8 +5,6 @@ pcre >= 6.4-i486-1
zlib >= 1.2.3-i486-1
libgpg-error
libgcrypt
-courier-authlib
-courier-imap
gnutls
cyrus-sasl
openldap-client
diff --git a/net/nds/openldap/openldap-client.SlackBuild b/net/nds/openldap/openldap-client.SlackBuild
index b2e49184..5d5d0751 100755
--- a/net/nds/openldap/openldap-client.SlackBuild
+++ b/net/nds/openldap/openldap-client.SlackBuild
@@ -3,6 +3,18 @@
# slackbuild script for openldap-client
#
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building openldap-client are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
CWD="`pwd`"
if [ -f ~/.slackbuildrc ]; then
@@ -14,12 +26,18 @@ fi
# default settings
PACKAGE="openldap-client"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.3.24}
+VERSION=${VERSION:=2.3.27}
BUILD=${BUILD:=2rha}
SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -34,17 +52,11 @@ SRC="openldap-$VERSION.$PACKAGE_EXT"
#URL="ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/$SRC"
URL="http://public.planetmirror.com/pub/openldap/openldap-release/$SRC"
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/openldap"
mkdir -p $SRC_DIR
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
if [ "$ARCH" == "x86_64" ]; then
@@ -58,16 +70,16 @@ rm -rf $TMP
mkdir -p $TMP
cd $TMP
-tar xvf$tarflag $SRC_DIR/$SRC
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
mv openldap-$VERSION $PACKAGE-$VERSION
cd $PACKAGE-$VERSION
./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --without-kerberos \
- --without-cyrus-sasl --without-tls --without-threads --disable-slapd --disable-slurpd
+ --without-cyrus-sasl --without-tls --without-threads --disable-slapd --disable-slurpd || exit $ERROR_CONF
make depend
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
CWD="`pwd`"
@@ -115,7 +127,7 @@ for file in ANNOUNCEMENT CHANGES COPYRIGHT INSTALL LICENSE README; do
cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
done
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP
diff --git a/net/nds/openldap/openldap.SlackBuild b/net/nds/openldap/openldap.SlackBuild
index 1cb6ee6c..39cbe00b 100755
--- a/net/nds/openldap/openldap.SlackBuild
+++ b/net/nds/openldap/openldap.SlackBuild
@@ -4,6 +4,18 @@
# by rhatto at riseup.net
#
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building openldap are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
CWD="`pwd`"
if [ -f ~/.slackbuildrc ]; then
@@ -15,12 +27,18 @@ fi
# default settings
PACKAGE="openldap"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.3.24}
+VERSION=${VERSION:=2.3.27}
BUILD=${BUILD:=1rha}
SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -35,17 +53,11 @@ SRC="$PACKAGE-$VERSION.$PACKAGE_EXT"
#URL="ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/$SRC"
URL="http://public.planetmirror.com/pub/openldap/openldap-release/$SRC"
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/$PACKAGE"
mkdir -p $SRC_DIR
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
if [ "$ARCH" == "x86_64" ]; then
@@ -59,7 +71,7 @@ rm -rf $TMP
mkdir -p $TMP
cd $TMP
-tar xvf$tarflag $SRC_DIR/$SRC
+tar xvf $SRC_DIR/$SRC
cd $PACKAGE-$VERSION
# otherwise will not work
@@ -70,10 +82,10 @@ fi
ln -sf /usr/include/db4/db.h /usr/include/db.h
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
make depend
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
# fix your system
if [ ! -f "$DBINC" ]; then
@@ -127,7 +139,7 @@ done
echo '( if [ ! -f "etc/openldap/ldap.conf" ]; then mv etc/openldap/ldap.conf.new etc/openldap/ldap.conf; fi )' > install/doinst.sh
echo '( if [ ! -f "etc/openldap/slapd.conf" ]; then mv etc/openldap/slapd.conf.new etc/openldap/slapd.conf; fi )' >> install/doinst.sh
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP